/*
 * floatdlg.h
 *
 * Floating dialog.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: floatdlg.h,v $
 * Revision 1.6  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.5  1999/03/10 03:49:51  robertj
 * More documentation adjustments.
 *
 * Revision 1.4  1999/03/09 08:01:48  robertj
 * Changed comments for doc++ support (more to come).
 *
 * Revision 1.3  1999/02/16 08:08:45  robertj
 * MSVC 6.0 compatibility changes.
 *
 * Revision 1.2  1998/09/23 06:23:29  robertj
 * Added open source copyright license.
 *
 * Revision 1.1  1995/10/14 14:48:15  robertj
 * Initial revision
 *
 */


#define _PFLOATINGDIALOG

#ifdef __GNUC__
#pragma interface
#endif


/**This class is as for PDialog but "floats" over the top of all other windows
   in the application. This is typically used for 
 */
class PFloatingDialog : public PDialog
{
  PCLASSINFO(PFloatingDialog, PDialog);

  public:
   /**Create a new empty dialog. There are no controls contained within the
       dialog and it is expected that these are to added manually by the
       application.
     */
    PFloatingDialog(
      PInteractor * parent  /// Interactor that owns the dialog.
    );

   /**Create a new dialog by loading it from a resource. The resource
       description determines the position, dimensions and title of the dialog
       as well as the position, dimensions, title and other options for all of
       the controls in the dialog.
     */
    PFloatingDialog(
      PInteractor * parent,  /// Interactor that owns the dialog.
      PRESOURCE_ID resID     /// Resource identifier for loading controls.
    );


  private:
    // Common constructor code.
    void Construct();


// Include platform dependent part of class
#include <pwlib/floatdlg.h>
};


// End Of File ///////////////////////////////////////////////////////////////
