/*
 * dcanvas.h
 *
 * Drawing canvas for interactors.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: dcanvas.h,v $
 * Revision 1.7  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.6  1998/11/30 02:59:54  robertj
 * New directory structure
 *
 * Revision 1.5  1998/09/24 03:39:53  robertj
 * Added open software license.
 *
 * Revision 1.4  1998/09/22 15:08:53  robertj
 * Added delayed HDC creation in PDrawCanvas.
 *
 * Revision 1.3  1996/08/08 10:09:38  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.2  1995/10/14 15:15:51  robertj
 * Added missing parameters to HDC version of drawing canvas.
 *
 * Revision 1.1  1994/04/12 08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PDRAWCANVAS

///////////////////////////////////////////////////////////////////////////////
// PDrawCanvas

#define _PDRAWCANVAS_PLATFORM_INCLUDE
#include "../../dcanvas.h"

#endif
#ifdef _PDRAWCANVAS_PLATFORM_INCLUDE
#undef _PDRAWCANVAS_PLATFORM_INCLUDE

  public:
    PDrawCanvas(PInteractor * theInteractor,
                                    HDC newDC, BOOL autoDelete, BOOL inPixels);
      // Make a PDrawCanvas object from the MS-WINDOWS device context handle

    virtual HDC GetHDC() const;
      // Return the MS-Windows GDI Device Context.

  private:
    // Member variables
    BOOL deleteDC;
    HDC  preAllocatedDC;

#endif


// End Of File ///////////////////////////////////////////////////////////////
