/*
 * keycode.h
 *
 * Windows keyboard input code.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: keycode.h,v $
 * Revision 1.6  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.5  1998/11/30 03:00:04  robertj
 * New directory structure
 *
 * Revision 1.4  1998/09/24 03:40:33  robertj
 * Added open software license.
 *
 * Revision 1.3  1996/08/08 10:09:58  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.2  1995/11/20 11:05:13  robertj
 * Fixed compatibility the resource compiler and editor.
 *
 * Revision 1.1  1994/04/12 08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PKEYCODE
#define _PKEYCODE

///////////////////////////////////////////////////////////////////////////////
// PKeyCode

#define _PKEYCODE_PLATFORM_INCLUDE
#include "../../keycode.h"

#endif
#ifdef _PKEYCODE_PLATFORM_INCLUDE
#undef _PKEYCODE_PLATFORM_INCLUDE

  public:
    PKeyCode(BOOL mouseMessage, WPARAM wParam, int other);
      // Convert a MS-Windows event data for mouse down and key down events
      // to key codes.

    WORD VKCode();
      // Return the MS-Window Virtual Key number for the key code.

    WORD MouseModifiers();
      // Return the modifiers for a mouse click that are set in this key code.

#endif


// End Of File ///////////////////////////////////////////////////////////////
