/*
 * listview.h
 *
 * List View control.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: listview.h,v $
 * Revision 1.5  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.4  1998/11/30 03:00:05  robertj
 * New directory structure
 *
 * Revision 1.3  1998/09/24 03:40:38  robertj
 * Added open software license.
 *
 * Revision 1.2  1998/09/22 15:09:05  robertj
 * Added OnDraw functions.
 *
 * Revision 1.1  1998/09/21 14:00:41  robertj
 * Initial revision
 *
 */

#ifndef _PLISTVIEW

///////////////////////////////////////////////////////////////////////////////
// PListViewControl

#define _PLISTVIEW_PLATFORM_INCLUDE
#include "../../listview.h"

#endif
#ifdef _PLISTVIEW_PLATFORM_INCLUDE
#undef _PLISTVIEW_PLATFORM_INCLUDE

  protected:
    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().

    virtual int TranslateOption(NMHDR & msg) const;
      // Translate the windows notification message code to the PWLib
      // notify function code. This returns -1 if the windows message is to be
      // ignored.

    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.

  private:
    LRESULT LVChangeItem(int action, PListViewItem * obj, PINDEX index, BOOL update);
    int LVCustomDraw(NMHDR & msg);

#endif


// End Of File ///////////////////////////////////////////////////////////////
