/*
 * mdidoc.h
 *
 * Multiple Document Interface Document Window.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: mdidoc.h,v $
 * Revision 1.10  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.9  1998/11/30 03:00:06  robertj
 * New directory structure
 *
 * Revision 1.8  1998/09/24 03:40:43  robertj
 * Added open software license.
 *
 * Revision 1.7  1996/08/08 10:10:02  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.6  1995/11/09 12:25:50  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.5  1994/10/23 05:46:58  robertj
 * Changed window messaging technique.
 *
 * Revision 1.4  1994/07/27  05:58:07  robertj
 * Synchronisation.
 *
 * Revision 1.3  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PMDIDOCWINDOW

///////////////////////////////////////////////////////////////////////////////
// PMDIDocWindow

#define _PMDIDOCWINDOW_PLATFORM_INCLUDE
#include "../../mdidoc.h"

#endif
#ifdef _PMDIDOCWINDOW_PLATFORM_INCLUDE
#undef _PMDIDOCWINDOW_PLATFORM_INCLUDE

  public:
    ~PMDIDocWindow();
      // Destroy the document window.

    // Overrides from class PInteractor
    virtual void Show(BOOL visible = TRUE);
      // Show/Hide the interactor. This will immediately remove the interactor
      // from view. Showing an interactor will cause content update events to
      // occur so display may be delayed.

    virtual void Activate();
    /* Make the window the "active" window by giving it the focus and bringing
       it to the top of all the windows at the same level.
     */


    // New functions for class
    virtual void CreateHWND();
      // Create the MS-Windows handle for the interactor.

    virtual void DefWndProc();
      // All controls have MS-Windows messages intercepted and passed through
      // this function.


  private:
    PString initialTitle;
      // Initial title for the MDI document window.

#endif


// End Of File ///////////////////////////////////////////////////////////////
