/*
 * mdiframe.h,v 1.6 1996/08/08 10:10:03 robertj Exp robertj $
 *
 * Multiple Document Interface Frame Window
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: mdiframe.h,v $
 * Revision 1.9  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.8  1998/11/30 03:00:07  robertj
 * New directory structure
 *
 * Revision 1.7  1998/09/24 03:40:44  robertj
 * Added open software license.
 *
 * Revision 1.6  1996/08/08 10:10:03  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.5  1994/10/23 05:46:59  robertj
 * Changed window messaging technique.
 *
 * Revision 1.4  1994/07/27  05:58:07  robertj
 * Synchronisation.
 *
 * Revision 1.3  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */


#ifndef _PMDIFRAMEWINDOW

///////////////////////////////////////////////////////////////////////////////
// PMDIFrameWindow

#define _PMDIFRAMEWINDOW_PLATFORM_INCLUDE
#include "../../mdiframe.h"

#endif
#ifdef _PMDIFRAMEWINDOW_PLATFORM_INCLUDE
#undef _PMDIFRAMEWINDOW_PLATFORM_INCLUDE

  public:
    // Overrides from class PTopLevelWindow
    virtual void SetMenu(PRootMenu * newMenu, BOOL autoDelete = TRUE);
      // Attach a menu to the top level window. If autoDelete is TRUE then the
      // menu will be automatically deleted when the window is destroyed or
      // when another menu is set using SetMenu().


  protected:
    // Overrides from class PInteractor
    virtual void WndProc();
      // This function is called for each MS-Windows message received by the
      // window.

    virtual void DefWndProc();
      // All controls have MS-Windows messages intercepted and passed through
      // this function.


    // Member variables
    HWND mdiClient;
    POrphanSubMenu windowMenu;

  friend class PMDIDocWindow;

#endif


// End Of File ///////////////////////////////////////////////////////////////
