/*
 * pclrdlg.h
 *
 * Colour selection dialog.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: pclrdlg.h,v $
 * Revision 1.7  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.6  1998/11/30 03:00:14  robertj
 * New directory structure
 *
 * Revision 1.5  1998/09/24 03:41:04  robertj
 * Added open software license.
 *
 * Revision 1.4  1996/10/14 03:12:13  robertj
 * Fixed name conflict with colordlg.h
 *
 * Revision 1.3  1996/08/08 10:09:33  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.2  1995/08/24 12:39:10  robertj
 * Added Construct() function required by X platform.
 *
 * Revision 1.1  1995/01/22 04:49:27  robertj
 * Initial revision
 *
 */

#ifndef _PCOLOURDIALOG

///////////////////////////////////////////////////////////////////////////////
// PColourDialog

#define _PCOLOURDIALOG_PLATFORM_INCLUDE
#include "../../pclrdlg.h"

#endif
#ifdef _PCOLOURDIALOG_PLATFORM_INCLUDE
#undef _PCOLOURDIALOG_PLATFORM_INCLUDE

  public:
    // Overrides from class PModalDialog
    void SetTitle(
      const PString & title   // New title for dialog.
    );
    // Set the title to the standard colour selection dialog

    virtual int RunModal();
      // Execute the dialog in a mode.

    virtual void CreateHWND();
      // Create the MS-Windows handle for the interactor.


  protected:
    // Overrides from class PInteractor
    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.


  // Overrides from class PModalDialog
    virtual void OnOk();
      // Function called when the dialog OK button has been pressed. The
      // default behaviour is to end the modal dialog returning TRUE.

    virtual void OnCancel();
      // Function called when the dialog Cancel button has been pressed. The
      // default behaviour is to end the modal dialog returning FALSE.


    // Member variables
    CHOOSECOLOR colourDlgInfo;
    enum { NumCustomColours = 16 };
    COLORREF    customColours[NumCustomColours];
    PString     dlgTitle;

#endif


// End Of File ///////////////////////////////////////////////////////////////
