/*
 * pict.h
 *
 * Picture (metafile) image.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: pict.h,v $
 * Revision 1.7  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.6  1998/11/30 03:00:14  robertj
 * New directory structure
 *
 * Revision 1.5  1998/09/24 03:41:06  robertj
 * Added open software license.
 *
 * Revision 1.4  1996/08/08 10:10:16  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.3  1995/03/12 05:00:14  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.2  1994/12/05  11:34:28  robertj
 * Major rewrite of images, pictures and pixmaps.
 * Renamed PPict, PPixels and PImage to make sure all uses are found.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PPICT


#if defined(_WIN32)
#define PMETAFILE HENHMETAFILE
#else
#define PMETAFILE HMETAFILE
#endif


///////////////////////////////////////////////////////////////////////////////
// PPict

#define _PPICT_PLATFORM_INCLUDE
#include "../../pict.h"

#endif
#ifdef _PPICT_PLATFORM_INCLUDE
#undef _PPICT_PLATFORM_INCLUDE

  public:
    PPictBase(PMETAFILE hM);
    PMETAFILE GetMETAFILE() const;

    virtual HDC CreateImageDC();
    virtual void CloseImageDC(HDC hDC);


  protected:
    PMETAFILE hMetafile;

#endif


// End Of File ///////////////////////////////////////////////////////////////
