/*
 * prinfo.h
 *
 * Pinter information.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: prinfo.h,v $
 * Revision 1.9  2002/09/23 07:17:24  robertj
 * Changes to allow winsock2 to be included.
 *
 * Revision 1.8  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.7  1998/11/30 03:00:19  robertj
 * New directory structure
 *
 * Revision 1.6  1998/09/24 03:41:26  robertj
 * Added open software license.
 *
 * Revision 1.5  1998/09/04 07:00:50  robertj
 * Added a lot of DEVMODE infor for win95 to propagate from PrintDlg to PPrintCanvas.
 *
 * Revision 1.4  1996/08/08 10:10:26  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.3  1995/03/12 05:00:17  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.2  1994/04/20  12:17:44  robertj
 * assert changes
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */


#ifndef _PPRINTINFO


#if !defined(_WIN32)
#include <print.h>
#endif

#include <commdlg.h>


///////////////////////////////////////////////////////////////////////////////
// PPrintInfo

#define _PPRINTINFO_PLATFORM_INCLUDE
#include "../../prinfo.h"

#endif
#ifdef _PPRINTINFO_PLATFORM_INCLUDE
#undef _PPRINTINFO_PLATFORM_INCLUDE

  public:
    // New functions for class
    const PString & GetDriver() const { return driver; }

    void SetFromPrintDlg(const PRINTDLG & printDlg);
      // Set internal fields from the MS-Windows PRINTDLG structure

    HANDLE GetDevNames() const;
    HANDLE GetHDEVMODE() const;
    LPDEVMODE GetDEVMODE() const;
      // Get MS-Windows DEVMODE internal structure

  protected:
    void ProcessDEVMODE();
      // Set internal fields from the MS-Windows DEVMODE structure

    // Member variables
    PString driver;
    PBYTEArray devModeBuffer;

#endif


// End Of File ///////////////////////////////////////////////////////////////
