/*
 * printdlg.h
 *
 * Printer dialogs ancestor class.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: printdlg.h,v $
 * Revision 1.10  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.9  1998/11/30 03:00:20  robertj
 * New directory structure
 *
 * Revision 1.8  1998/09/24 03:41:28  robertj
 * Added open software license.
 *
 * Revision 1.7  1996/08/08 10:10:27  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.6  1995/01/22 07:29:47  robertj
 * Added font & colour standard dialogs.
 *
 * Revision 1.5  1995/01/11  09:45:16  robertj
 * Documentation and normalisation.
 *
 * Revision 1.4  1994/10/23  05:47:34  robertj
 * Changed window messaging technique.
 *
 * Revision 1.3  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */


#ifndef _PPRINTDIALOG

///////////////////////////////////////////////////////////////////////////////
// PPrintDialog

#define _PPRINTDIALOG_PLATFORM_INCLUDE
#include "../../printdlg.h"

#endif
#ifdef _PPRINTDIALOG_PLATFORM_INCLUDE
#undef _PPRINTDIALOG_PLATFORM_INCLUDE

  public:
    // Overrides from class PModalDialog
    void SetTitle(
      const PString & title   // New title for dialog.
    );
    // Set the title to the sandard print job dialog

    virtual int RunModal();
      // Execute the dialog in a mode.

    virtual void CreateHWND();
      // Create the MS-Windows handle for the interactor.


  protected:
    // Overrides from class PInteractor
    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.


  // Overrides from class PModalDialog
    virtual void OnOk();
      // Function called when the dialog OK button has been pressed. The
      // default behaviour is to end the modal dialog returning TRUE.

    virtual void OnCancel();
      // Function called when the dialog Cancel button has been pressed. The
      // default behaviour is to end the modal dialog returning FALSE.


    // Member variables
    PRINTDLG printDlgInfo;
    PString  dlgTitle;

#endif


// End Of File ///////////////////////////////////////////////////////////////
