/*
 * resdata.h
 *
 * Arbitrary resource data.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: resdata.h,v $
 * Revision 1.7  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.6  1998/11/30 03:00:25  robertj
 * New directory structure
 *
 * Revision 1.5  1998/09/24 03:41:49  robertj
 * Added open software license.
 *
 * Revision 1.4  1996/08/08 10:10:37  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.3  1995/03/12 05:00:18  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.2  1994/04/20  12:17:44  robertj
 * assert changes
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */


#ifndef _PRESOURCEDATA

#if defined(_WIN32)
typedef UINT PRESOURCE_ID;
#else
typedef int  PRESOURCE_ID;
#endif


///////////////////////////////////////////////////////////////////////////////
// PResourceData

#define _PRESOURCEDATA_PLATFORM_INCLUDE
#include "../../resdata.h"

#endif
#ifdef _PRESOURCEDATA_PLATFORM_INCLUDE
#undef _PRESOURCEDATA_PLATFORM_INCLUDE

  protected:
    // Member variables
    HGLOBAL hResource;
    LPSTR lpResource;

#endif


// End Of File ///////////////////////////////////////////////////////////////
