/*
 * rfont.h
 *
 * Realised font description.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: rfont.h,v $
 * Revision 1.9  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.8  1998/11/30 03:00:26  robertj
 * New directory structure
 *
 * Revision 1.7  1998/09/24 03:41:52  robertj
 * Added open software license.
 *
 * Revision 1.6  1996/08/08 10:10:38  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.5  1995/01/07 04:39:49  robertj
 * Redesigned font enumeration code and changed font styles.
 *
 * Revision 1.4  1994/12/14  11:17:25  robertj
 * Changed PDIMENSION to be unsigned causing untold number of changes.
 *
 * Revision 1.3  1994/07/02  03:03:49  robertj
 * Added constructor in support of font enumeration in PCanvas.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PREALFONT

///////////////////////////////////////////////////////////////////////////////
// PRealFont

#define _PREALFONT_PLATFORM_INCLUDE
#include "../../rfont.h"

#endif
#ifdef _PREALFONT_PLATFORM_INCLUDE
#undef _PREALFONT_PLATFORM_INCLUDE

  public:
    PRealFont(HFONT hFont);
      // Create a real font object given the MS-Windows GDI font handle.

    HFONT GetHFONT() const;
      // Return a MS-Windows GDI font handle.


  protected:
    // New methods for class
    void Construct(HDC dc);
      // Construct the real font for the specified device - part 1


    // member variables
    PDIMENSION height, avgWidth, maxWidth, ascent, descent, leading;

#endif


// End Of File ///////////////////////////////////////////////////////////////
