/*
 * scrollb.h
 *
 * Scroll bar ancestor class.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: scrollb.h,v $
 * Revision 1.10  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.9  1998/11/30 03:00:28  robertj
 * New directory structure
 *
 * Revision 1.8  1998/09/24 03:42:01  robertj
 * Added open software license.
 *
 * Revision 1.7  1996/08/08 10:10:42  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.6  1995/11/09 12:25:59  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.5  1995/04/02 09:27:56  robertj
 * Added "balloon" help.
 *
 * Revision 1.4  1995/03/12 05:00:19  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.3  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PSCROLLBAR


#if defined(_WIN32)
typedef short PSCROLLBAR_VALUE;
#else
typedef int PSCROLLBAR_VALUE;
#endif


///////////////////////////////////////////////////////////////////////////////
// PScrollBar

#define _PSCROLLBAR_PLATFORM_INCLUDE
#include "../../scrollb.h"

#endif
#ifdef _PSCROLLBAR_PLATFORM_INCLUDE
#undef _PSCROLLBAR_PLATFORM_INCLUDE

  public:
    // Overrides from class PInteractor
    virtual void CreateHWND();
      // Create the MS-Windows handle for the interactor.

    virtual int TrackScrollBar(WPARAM code, int trackVal);
      // Track changes to a scroll bar. Returns the change in scroll bar value
      // that was caused by the event.


  protected:
    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().


    // Member variables
    BOOL tracking;
      // Indication that continuous scrolling is occurring.

#endif


// End Of File ///////////////////////////////////////////////////////////////
