/*
 * staticon.h
 *
 * Static icon control.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: staticon.h,v $
 * Revision 1.10  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.9  1998/11/30 03:00:30  robertj
 * New directory structure
 *
 * Revision 1.8  1998/09/24 03:42:10  robertj
 * Added open software license.
 *
 * Revision 1.7  1996/08/08 10:10:47  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.6  1995/11/09 12:26:03  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.5  1995/04/02 09:28:00  robertj
 * Added "balloon" help.
 *
 * Revision 1.4  1995/03/12 05:00:19  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.3  1994/10/23  05:48:22  robertj
 * Changed window messaging technique.
 *
 * Revision 1.2  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PSTATICICON

///////////////////////////////////////////////////////////////////////////////
// PStaticIcon

#define _PSTATICICON_PLATFORM_INCLUDE
#include "../../staticon.h"

#endif
#ifdef _PSTATICICON_PLATFORM_INCLUDE
#undef _PSTATICICON_PLATFORM_INCLUDE

  protected:
    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().

#if defined(_WIN32)
    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.
#endif

#endif


// End Of File ///////////////////////////////////////////////////////////////
