/*
 * popup.h
 *
 * Pop up window.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: popup.h,v $
 * Revision 1.6  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.5  1999/03/10 03:49:52  robertj
 * More documentation adjustments.
 *
 * Revision 1.4  1999/03/09 08:01:49  robertj
 * Changed comments for doc++ support (more to come).
 *
 * Revision 1.3  1999/02/16 08:08:46  robertj
 * MSVC 6.0 compatibility changes.
 *
 * Revision 1.2  1998/09/23 06:28:21  robertj
 * Added open source copyright license.
 *
 * Revision 1.1  1995/08/01 21:40:49  robertj
 * Initial revision
 *
 */


#define _PPOPUP

#ifdef __GNUC__
#pragma interface
#endif


/**This class defines a user interface entity for a "pop up" window. This is a
   simple thin border window which can be displayed over the top of all other
   windows. It is typically only used temporarily to display some useful
   information to the user before disappearing.
 */
class PPopUp : public PInteractor
{
  PCLASSINFO(PPopUp, PInteractor);

  public:
    /** Create a new pop up interactor. */
    PPopUp(
      PInteractor * parent  /// Interactor that owns the pop up.
    );


// Include platform dependent part of class
#include <pwlib/popup.h>
};


// End Of File ///////////////////////////////////////////////////////////////
